
package be.msyben.vinylManager.tools.filter;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author tcl459
 */
public class FileFilterXLSX extends FileFilter {
    
    /** Creates a new instance of FileFilterXML */
    public FileFilterXLSX() {
    }
    
    /**
     * Défini si un fichier est autorisé par le filtre
     * @param f le fichier à tester
     * @return true si le fichier correspond au filtre, false sinon
     */
    @Override
    public boolean accept(File f) {
        if (f.isDirectory())
            return true;
        if (f.isFile()) {
            if (f.getName().toLowerCase().endsWith(".xlsx"))
                return true;
        }
        return false;    
    }

    /**
     * Renvoie la description des fichiers acceptés.
     * @return la description des fichiers acceptés.
     */
    @Override
    public String getDescription() {
        return "Excel files (*.xlsx)";
    }
}